Bug 107713 - [CI][BAT] [ICL only] igt@* - incomplete - timeout/system hang?
Summary: [CI][BAT] [ICL only] igt@* - incomplete - timeout/system hang?
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Lakshmi
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 107901 109100 110428 (view as bug list)
Depends on:
Blocks: 110103
  Show dependency treegraph
 
Reported: 2018-08-28 12:31 UTC by Martin Peres
Modified: 2019-05-06 10:08 UTC (History)
4 users (show)

See Also:
i915 platform: ICL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 Martin Peres 2018-08-28 12:36:31 UTC
Increasing the priority of ICL bugs.
Comment 3 Martin Peres 2018-09-13 12:20:31 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_109/fi-icl-u/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-90.html

<4>[  114.464229] WARNING: CPU: 5 PID: 2382 at kernel/rcu/tree_plugin.h:342 rcu_note_context_switch+0x6d/0x670
<4>[  114.464232] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 ax88179_178a usbnet mii x86_pkg_temp_thermal coretemp crct10dif_pclmul snd_hda_intel crc32_pclmul ghash_clmulni_intel snd_hda_codec snd_hwdep snd_hda_core e1000e snd_pcm prime_numbers
<4>[  114.464261] CPU: 5 PID: 2382 Comm: kms_rotation_cr Tainted: G     UD W         4.19.0-rc3-g5fd5d0c19c4a-drmtip_109+ #1
<4>[  114.464268] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP, BIOS ICLSFWR1.R00.2313.A01.1808012121 08/01/2018
<4>[  114.464274] RIP: 0010:rcu_note_context_switch+0x6d/0x670
<4>[  114.464279] Code: c9 74 10 44 8b 83 7c 08 00 00 45 85 c0 0f 84 c7 01 00 00 40 84 ed 8b 83 78 03 00 00 0f 85 ef 00 00 00 85 c0 0f 8e ef 00 00 00 <0f> 0b 80 bb 7c 03 00 00 00 0f 84 fa 01 00 00 e8 6f d4 ff ff e8 fa
<4>[  114.464285] RSP: 0018:ffffa2b94074b400 EFLAGS: 00010002
<4>[  114.464292] RAX: 0000000000000001 RBX: ffff9541a18d0040 RCX: 0000000080000003
<4>[  114.464299] RDX: 0000000000000002 RSI: ffffffffa010405f RDI: ffffffffa00a3a47
<4>[  114.464303] RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000000
<4>[  114.464308] R10: ffffa2b94074b280 R11: ffffffffa0246be0 R12: ffff9541a18d0040
<4>[  114.464313] R13: ffff9541f0761dd8 R14: 0000000000021dc0 R15: 0000000000000000
<4>[  114.464320] FS:  00007fb1180ff980(0000) GS:ffff9541f0740000(0000) knlGS:0000000000000000
<4>[  114.464325] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[  114.464330] CR2: 00007fb10a9e8000 CR3: 00000004a165c004 CR4: 0000000000760ee0
<4>[  114.464336] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4>[  114.464341] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4>[  114.464345] PKRU: 55555554
<4>[  114.464351] Call Trace:
<4>[  114.464359]  __schedule+0xbc/0xb40
<4>[  114.464364]  ? wait_for_common+0x116/0x1f0
<4>[  114.464370]  schedule+0x2d/0x90
<4>[  114.464374]  schedule_timeout+0x236/0x4f0
<4>[  114.464379]  ? lock_acquire+0xa6/0x1c0
<4>[  114.464383]  ? wait_for_common+0x48/0x1f0
<4>[  114.464389]  ? wait_for_common+0x116/0x1f0
<4>[  114.464393]  wait_for_common+0x13a/0x1f0
<4>[  114.464398]  ? wake_up_q+0x70/0x70
<4>[  114.464404]  virt_efi_set_variable+0x11b/0x170
<4>[  114.464410]  ? efi_call_virt_check_flags+0x80/0x80
<4>[  114.464418]  efivar_entry_set_safe+0xea/0x1d0
<4>[  114.464426]  ? efi_pstore_write+0x105/0x150
<4>[  114.464433]  ? efi_pstore_write+0xa2/0x150
<4>[  114.464439]  efi_pstore_write+0x105/0x150
<4>[  114.464450]  pstore_dump+0x12b/0x350
<4>[  114.464461]  kmsg_dump+0x87/0x1c0
<4>[  114.464467]  oops_end+0x3e/0x90
<4>[  114.464473]  general_protection+0x1e/0x30
<4>[  114.464480] RIP: 0010:__list_del_entry_valid+0x25/0x90
<4>[  114.464485] Code: c3 0f 1f 40 00 48 8b 07 48 b9 00 01 00 00 00 00 ad de 48 8b 57 08 48 39 c8 74 26 48 b9 00 02 00 00 00 00 ad de 48 39 ca 74 2e <48> 8b 32 48 39 fe 75 3a 48 8b 50 08 48 39 f2 75 48 b8 01 00 00 00
<4>[  114.464491] RSP: 0018:ffffa2b94074ba38 EFLAGS: 00010002
<4>[  114.464499] RAX: fffff5d4d250f988 RBX: 0000000000000000 RCX: dead000000000200
<4>[  114.464504] RDX: fffb9541ee800480 RSI: 00000000ffffffff RDI: fffff5d4d2998d08
<4>[  114.464510] RBP: ffffa2b94074bb00 R08: 00000000f33181c6 R09: ffff9541e6635e48
<4>[  114.464514] R10: fffff5d4d2998d08 R11: 0000000000000000 R12: 0000000000000008
<4>[  114.464518] R13: fffff5d4d250f980 R14: fffff5d4d2998d00 R15: ffff9541ee80f880
<4>[  114.464527]  get_partial_node.isra.29+0x178/0x460
<4>[  114.464534]  ? __lock_acquire+0x3c8/0x1b50
<4>[  114.464541]  ? ___slab_alloc.constprop.34+0x1af/0x390
<4>[  114.464546]  ___slab_alloc.constprop.34+0x1af/0x390
<4>[  114.464603]  ? i915_gem_object_get_pages_gtt+0xa4/0x620 [i915]
<4>[  114.464612]  ? lock_acquire+0xa6/0x1c0
<4>[  114.464655]  ? i915_gem_object_get_pages_gtt+0xa4/0x620 [i915]
<4>[  114.464668]  ? __slab_alloc.isra.27.constprop.33+0x3d/0x70
<4>[  114.464674]  __slab_alloc.isra.27.constprop.33+0x3d/0x70
<4>[  114.464716]  ? i915_gem_object_get_pages_gtt+0xa4/0x620 [i915]
<4>[  114.464723]  kmem_cache_alloc_trace+0x228/0x290
<4>[  114.464764]  i915_gem_object_get_pages_gtt+0xa4/0x620 [i915]
<4>[  114.464812]  ____i915_gem_object_get_pages+0x1d/0xa0 [i915]
<4>[  114.464854]  __i915_gem_object_get_pages+0x59/0xb0 [i915]
<4>[  114.464895]  i915_gem_set_domain_ioctl+0x35e/0x430 [i915]
<4>[  114.464937]  ? i915_gem_obj_prepare_shmem_write+0x280/0x280 [i915]
<4>[  114.464944]  drm_ioctl_kernel+0x7c/0xf0
<4>[  114.464950]  drm_ioctl+0x2e6/0x3a0
<4>[  114.464993]  ? i915_gem_obj_prepare_shmem_write+0x280/0x280 [i915]
<4>[  114.465003]  ? rcu_lockdep_current_cpu_online+0x8f/0xd0
<4>[  114.465009]  do_vfs_ioctl+0xa0/0x6d0
<4>[  114.465014]  ? __task_pid_nr_ns+0xb9/0x1f0
<4>[  114.465020]  ksys_ioctl+0x35/0x60
<4>[  114.465025]  __x64_sys_ioctl+0x11/0x20
<4>[  114.465029]  do_syscall_64+0x55/0x190
<4>[  114.465034]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4>[  114.465037] RIP: 0033:0x7fb1177b45d7
<4>[  114.465041] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48
<4>[  114.465044] RSP: 002b:00007fff9561df58 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
<4>[  114.465049] RAX: ffffffffffffffda RBX: 000055f8561e7f74 RCX: 00007fb1177b45d7
<4>[  114.465052] RDX: 00007fff9561dfac RSI: 00000000400c645f RDI: 0000000000000003
<4>[  114.465056] RBP: 00007fff9561dfac R08: 000055f8561e7f78 R09: 000055f8561e7f74
<4>[  114.465061] R10: 00000000ffffffd9 R11: 0000000000000246 R12: 00000000400c645f
<4>[  114.465066] R13: 0000000000000003 R14: 000055f8561e7f88 R15: 0000000000000000
<4>[  114.465076] irq event stamp: 38933664
<4>[  114.465082] hardirqs last  enabled at (38933663): [<ffffffff9f0025ed>] do_syscall_64+0xd/0x190
<4>[  114.465089] hardirqs last disabled at (38933664): [<ffffffff9f1fdea9>] __slab_alloc.isra.27.constprop.33+0x19/0x70
<4>[  114.465096] softirqs last  enabled at (38933496): [<ffffffff9fc0031d>] __do_softirq+0x31d/0x483
<4>[  114.465102] softirqs last disabled at (38933489): [<ffffffff9f0901f9>] irq_exit+0xa9/0xc0
<4>[  114.465109] WARNING: CPU: 5 PID: 2382 at kernel/rcu/tree_plugin.h:342 rcu_note_context_switch+0x6d/0x670
<4>[  114.465115] ---[ end trace f5b9d6df661f800e ]---


But this one is even funkier (enjoy making sense of this!):
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_109/fi-icl-u/igt@perf@invalid-oa-exponent.html

<4>[  127.333330] NMI backtrace for cpu 0
[...]
<3>[  131.214804] [drm:gen8_de_irq_handler [i915]] *ERROR* Fault errors on pipe A: 0x00000180
[...]
<3>[  132.630167] [drm:gen8_de_irq_handler [i915]] *ERROR* The master control interrupt lied (DE PIPE)!
Comment 4 Chris Wilson 2018-09-13 12:30:30 UTC
(In reply to Martin Peres from comment #3)
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_109/fi-icl-u/
> igt@kms_rotation_crc@primary-yf-tiled-reflect-x-90.html
> 
> <4>[  114.464229] WARNING: CPU: 5 PID: 2382 at kernel/rcu/tree_plugin.h:342
> rcu_note_context_switch+0x6d/0x670
...
> <4>[  114.464480] RIP: 0010:__list_del_entry_valid+0x25/0x90
> <4>[  114.464485] Code: c3 0f 1f 40 00 48 8b 07 48 b9 00 01 00 00 00 00 ad
> de 48 8b 57 08 48 39 c8 74 26 48 b9 00 02 00 00 00 00 ad de 48 39 ca 74 2e
> <48> 8b 32 48 39 fe 75 3a 48 8b 50 08 48 39 f2 75 48 b8 01 00 00 00
> <4>[  114.464491] RSP: 0018:ffffa2b94074ba38 EFLAGS: 00010002
> <4>[  114.464499] RAX: fffff5d4d250f988 RBX: 0000000000000000 RCX:
> dead000000000200
> <4>[  114.464504] RDX: fffb9541ee800480 RSI: 00000000ffffffff RDI:
> fffff5d4d2998d08
> <4>[  114.464510] RBP: ffffa2b94074bb00 R08: 00000000f33181c6 R09:
> ffff9541e6635e48
> <4>[  114.464514] R10: fffff5d4d2998d08 R11: 0000000000000000 R12:
> 0000000000000008
> <4>[  114.464518] R13: fffff5d4d250f980 R14: fffff5d4d2998d00 R15:
> ffff9541ee80f880
> <4>[  114.464527]  get_partial_node.isra.29+0x178/0x460
> <4>[  114.464534]  ? __lock_acquire+0x3c8/0x1b50
> <4>[  114.464541]  ? ___slab_alloc.constprop.34+0x1af/0x390
> <4>[  114.464546]  ___slab_alloc.constprop.34+0x1af/0x390
> <4>[  114.464603]  ? i915_gem_object_get_pages_gtt+0xa4/0x620 [i915]
> <4>[  114.464612]  ? lock_acquire+0xa6/0x1c0
> <4>[  114.464655]  ? i915_gem_object_get_pages_gtt+0xa4/0x620 [i915]
> <4>[  114.464668]  ? __slab_alloc.isra.27.constprop.33+0x3d/0x70
> <4>[  114.464674]  __slab_alloc.isra.27.constprop.33+0x3d/0x70
> <4>[  114.464716]  ? i915_gem_object_get_pages_gtt+0xa4/0x620 [i915]
> <4>[  114.464723]  kmem_cache_alloc_trace+0x228/0x290
> <4>[  114.464764]  i915_gem_object_get_pages_gtt+0xa4/0x620 [i915]

Is indicative of severe memcorruption -- someone has overwritten the slabs.

The system is toast and we can expect all manner of wacky bugs. A few kasan runs required, maybe followed by even a kmemcheck. If they all check out, I'm afraid we're telling the GPU to do funky things (unless we can pin on some other hw).
Comment 8 Francesco Balestrieri 2018-09-28 06:52:10 UTC
Chris asked for "A few kasan runs required, maybe followed by even a kmemcheck" - who can help with that?
Comment 9 Martin Peres 2018-10-02 11:54:45 UTC
*** Bug 107901 has been marked as a duplicate of this bug. ***
Comment 10 Jani Saarinen 2018-10-22 06:09:50 UTC
Waiting new run on CI with new FW.
Comment 11 Martin Peres 2018-10-24 14:50:32 UTC
(In reply to Jani Saarinen from comment #10)
> Waiting new run on CI with new FW.

Seems like it fixed the S3 issue. Now we are hitting more issues. This one looks scary:

<1>[  452.562270] BUG: unable to handle kernel paging request at 00000001000102cd
<6>[  452.562273] PGD 0 P4D 0 
<4>[  452.562277] Oops: 0002 [#2] PREEMPT SMP PTI
<4>[  452.562280] CPU: 1 PID: 0 Comm: swapper/1 Tainted: G     UD W         4.19.0-rc8-g53197f72a64b-drmtip_131+ #1
<4>[  452.562281] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP TLC, BIOS ICLSFWR1.R00.2352.A01.1808281852 08/28/2018
<4>[  452.562291] RIP: 0010:expire_timers+0x69/0x190
<4>[  452.562293] Code: 37 00 0f 1f 44 00 00 65 8b 05 93 5f ef 47 89 c0 49 0f a3 45 00 0f 82 b2 00 00 00 48 8b 03 48 8b 53 08 48 85 c0 48 89 02 74 04 <48> 89 50 08 f6 43 22 20 48 c7 43 08 00 00 00 00 48 89 ef 4c 89 33
<4>[  452.562295] RSP: 0018:ffffa10470683ed0 EFLAGS: 00010006
<4>[  452.562297] RAX: 00000001000102c5 RBX: ffffb4e001a0fdb8 RCX: 0000000000000103
<4>[  452.562299] RDX: ffffa10470683f08 RSI: 0000000000000001 RDI: 00000000ffffffff
<4>[  452.562300] RBP: ffffa10470699980 R08: 0000000000000000 R09: 0000000000000000
<4>[  452.562301] R10: ffffa10470683ed0 R11: ffffffffba744000 R12: ffffa10470683f08
<4>[  452.562303] R13: ffffffffb934d3b0 R14: dead000000000200 R15: 0000000000000002
<4>[  452.562304] FS:  0000000000000000(0000) GS:ffffa10470680000(0000) knlGS:0000000000000000
<4>[  452.562306] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[  452.562307] CR2: 00000001000102cd CR3: 000000036d210006 CR4: 0000000000760ee0
<4>[  452.562308] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4>[  452.562310] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4>[  452.562311] PKRU: 55555554
<4>[  452.562312] Call Trace:
<4>[  452.562313]  <IRQ>
<4>[  452.562317]  run_timer_softirq+0xc7/0x170
<4>[  452.562321]  ? recalibrate_cpu_khz+0x10/0x10
<4>[  452.562323]  ? ktime_get+0x84/0x100
<4>[  452.562327]  __do_softirq+0xd8/0x483
<4>[  452.562332]  irq_exit+0xa9/0xc0
<4>[  452.562334]  smp_apic_timer_interrupt+0x9c/0x240
<4>[  452.562336]  apic_timer_interrupt+0xf/0x20
<4>[  452.562338]  </IRQ>
<4>[  452.562341] RIP: 0010:cpuidle_enter_state+0xab/0x340
<4>[  452.562343] Code: 44 00 00 31 ff e8 65 dd 93 ff 45 84 f6 74 12 9c 58 f6 c4 02 0f 85 70 02 00 00 31 ff e8 1e 81 9a ff e8 e9 52 9e ff fb 4c 29 fb <48> ba cf f7 53 e3 a5 9b c4 20 48 89 d8 48 c1 fb 3f 48 f7 ea b8 ff
<4>[  452.562344] RSP: 0018:ffffb4e00010fe90 EFLAGS: 00000212 ORIG_RAX: ffffffffffffff13
<4>[  452.562347] RAX: 0000000000000000 RBX: 0000000006143a37 RCX: 000000000000001f
<4>[  452.562348] RDX: 000000695ed012c2 RSI: ffffffffb9080d10 RDI: ffffffffb8782447
<4>[  452.562349] RBP: 0000000000000003 R08: 0000000000000000 R09: 0000000000000000
<4>[  452.562351] R10: ffffb4e00010fe70 R11: ffffffffba6d7cc8 R12: ffffa1046cfa4a68
<4>[  452.562352] R13: ffffffffb929c538 R14: 0000000000000000 R15: 0000006958bbd88b
<4>[  452.562357]  ? cpuidle_enter_state+0xa7/0x340
<4>[  452.562362]  do_idle+0x1f3/0x260
<4>[  452.562365]  cpu_startup_entry+0x6a/0x70
<4>[  452.562369]  start_secondary+0x19d/0x1f0
<4>[  452.562371]  secondary_startup_64+0xa4/0xb0
<4>[  452.562376] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_intel snd_hda_codec snd_hwdep snd_hda_core btusb btrtl snd_pcm btbcm btintel e1000e cdc_ether usbnet mii bluetooth ecdh_generic prime_numbers
<0>[  452.562410] Dumping ftrace buffer:
<0>[  452.562412]    (ftrace buffer empty)
<4>[  452.562414] CR2: 00000001000102cd
<4>[  452.562416] ---[ end trace 02eb919dc2c5c0a7 ]---
Comment 12 Jani Saarinen 2018-10-24 18:13:28 UTC
BIOS ICLSFWR1.R00.2352 is old, should be 2392.
Comment 13 Lakshmi 2018-10-29 09:24:37 UTC
(In reply to Jani Saarinen from comment #12)
> BIOS ICLSFWR1.R00.2352 is old, should be 2392.

Failure with BIOS ICLSFWR1.R00.2392.A04.1809260455 09/26/2018. 

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_134/fi-icl-u/igt@kms_frontbuffer_tracking@fbc-suspend.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5042/fi-icl-u/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-c.html
Comment 14 Martin Peres 2018-10-29 14:26:56 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_135/fi-icl-u/igt@kms_cursor_legacy@pipe-a-single-move.html

No real indication as to what went wrong...
Comment 15 Francesco Balestrieri 2018-10-30 10:46:43 UTC
Waiting for Imre's power well-related patches in the hope that they would help here (logs at least mention power well). We need to check the status once those land.
Comment 16 Francesco Balestrieri 2018-11-01 07:59:00 UTC
This should be the series: https://patchwork.freedesktop.org/series/51765/
Comment 17 Francesco Balestrieri 2018-11-06 08:10:26 UTC
Last seen in BAT three days ago
Comment 19 Mika Kuoppala 2018-11-19 11:06:13 UTC
Just note that this is not a first time we see a null pointer dereference
with a bit 16 set on icl.

[ 6151.054027] BUG: unable to handle kernel paging request at 00000001000000b4

[  452.562270] BUG: unable to handle kernel paging request at 00000001000102cd
Comment 20 Martin Peres 2018-11-19 11:46:00 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5155/shard-iclb6/igt@pm_rpm@reg-read-ioctl.html

No logs


https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5153/shard-iclb6/igt@pm_rpm@sysfs-read.html

<4>[ 1147.152115]  ? process_csb+0x790/0x790 [i915]
<4>[ 1147.152116]  ? process_csb+0x790/0x790 [i915]
<4>[ 1147.152116]  ? module_assert_mutex_or_preemp
<4>[ 1147.152118] Lost 31 message(s)!
<4>[ 1147.152122] 
<4>[ 1147.152379] =============================
<4>[ 1147.152382] WARNING: suspicious RCU usage
<4>[ 1147.152385] 4.20.0-rc2-CI-CI_DRM_5153+ #1 Tainted: G     U  W        
<4>[ 1147.152388] -----------------------------
<4>[ 1147.152391] ./include/linux/rcupdate.h:609 rcu_read_lock() used illegally while idle!
<4>[ 1147.152394] 
<4>[ 1147.152394] other info that might help us debug this:
<4>[ 1147.152394] 
<4>[ 1147.152398] 
<4>[ 1147.152398] RCU used illegally from idle CPU!
<4>[ 1147.152398] rcu_scheduler_active = 2, debug_locks = 1
<4>[ 1147.152402] RCU used illegally from extended quiescent state!
<4>[ 1147.152406] 1 lock held by swapper/0/0:
<4>[ 1147.152408]  #0: 00000000dccdf396 (rcu_read_lock){....}, at: kmsg_dump+0x12/0x1c0
<4>[ 1147.152415] 
<4>[ 1147.152415] stack backtrace:
<4>[ 1147.152419] CPU: 0 PID: 0 Comm: swapper/0 Tainted: G     U  W         4.20.0-rc2-CI-CI_DRM_5153+ #1
<4>[ 1147.152422] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP, BIOS ICLSFWR1.R00.2402.AD3.1810170014 10/17/2018
<4>[ 1147.152425] Call Trace:
<4>[ 1147.152430]  dump_stack+0x67/0x9b
<4>[ 1147.152435]  kmsg_dump+0x180/0x1c0
<4>[ 1147.152440]  panic+0x13a/0x24d
<4>[ 1147.152446]  ? acpi_idle_enter+0x2a6/0x2b0
<4>[ 1147.152454]  __stack_chk_fail+0x10/0x10
<4>[ 1147.152458]  acpi_idle_enter+0x2a6/0x2b0
<4>[ 1147.152465]  cpuidle_enter_state+0x6a/0x340
<4>[ 1147.152472]  do_idle+0x1f3/0x260
<4>[ 1147.152478]  cpu_startup_entry+0x14/0x20
<4>[ 1147.152483]  start_kernel+0x4a9/0x4c9
<4>[ 1147.152490]  secondary_startup_64+0xa4/0xb0
Comment 22 Lakshmi 2018-12-03 12:31:58 UTC
Mika, any updates here?
Comment 28 CI Bug Log 2019-01-15 16:38:25 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5385/shard-iclb3/igt@gem_persistent_relocs@forked-faulting-reloc.html
Comment 29 CI Bug Log 2019-01-21 17:16:04 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5458/shard-iclb3/igt@pm_rpm@fences.html
Comment 30 CI Bug Log 2019-01-25 08:57:54 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

 No new failures caught with the new filter
Comment 31 CI Bug Log 2019-01-25 09:27:33 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_190/fi-icl-u3/igt@kms_plane_scaling@pipe-a-scaler-with-clipping-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_189/fi-icl-u3/igt@kms_plane_scaling@pipe-a-scaler-with-clipping-clamping.html
Comment 32 CI Bug Log 2019-01-25 13:40:05 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_195/fi-icl-u3/igt@kms_plane@pixel-format-pipe-c-planes-source-clamping.html
Comment 33 CI Bug Log 2019-01-31 11:26:54 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5505/shard-iclb1/igt@gem_sync@basic-store-each.html
Comment 34 CI Bug Log 2019-02-04 17:14:43 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

 No new failures caught with the new filter
Comment 35 CI Bug Log 2019-02-04 17:23:55 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_207/fi-icl-y/igt@drm_import_export@import-close-race-flink.html
Comment 36 CI Bug Log 2019-02-04 18:19:52 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_203/fi-icl-u3/igt@kms_flip@2x-single-buffer-flip-vs-dpms-off-vs-modeset-interruptible.html
Comment 38 CI Bug Log 2019-02-07 14:45:13 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_210/fi-icl-y/igt@perf_pmu@busy-accuracy-50-vecs0.html
Comment 39 CI Bug Log 2019-02-07 15:40:07 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_210/fi-icl-y/igt@kms_plane_alpha_blend@pipe-a-alpha-7efc.html
Comment 40 CI Bug Log 2019-02-12 07:30:45 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_213/fi-icl-y/igt@kms_plane_alpha_blend@pipe-c-alpha-opaque-fb.html
Comment 41 CI Bug Log 2019-02-12 07:35:50 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_213/fi-icl-y/igt@kms_cursor_legacy@all-pipes-torture-move.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_214/fi-icl-y/igt@kms_flip@basic-flip-vs-modeset.html
Comment 42 CI Bug Log 2019-02-12 08:05:35 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5590/shard-iclb4/igt@pm_rpm@modeset-lpsp-stress-no-wait.html
Comment 43 CI Bug Log 2019-02-15 09:35:44 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_218/fi-icl-u2/igt@kms_flip@2x-flip-vs-panning.html
Comment 44 CI Bug Log 2019-02-15 09:55:02 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_218/fi-icl-u2/igt@kms_chamelium@hdmi-crc-xbgr8888.html
Comment 45 CI Bug Log 2019-02-18 12:09:28 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5623/fi-icl-y/igt@gem_exec_parse@basic-rejected.html
Comment 46 CI Bug Log 2019-02-18 16:04:03 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

 No new failures caught with the new filter
Comment 48 CI Bug Log 2019-02-20 12:08:05 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_224/fi-icl-u3/igt@kms_rotation_crc@primary-rotation-90.html
Comment 49 CI Bug Log 2019-02-20 13:00:53 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_225/fi-icl-u2/igt@kms_flip@flip-vs-dpms-interruptible.html
Comment 50 CI Bug Log 2019-02-20 13:24:53 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_221/fi-icl-u3/igt@kms_plane_multiple@atomic-pipe-c-tiling-yf.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_222/fi-icl-u2/igt@kms_flip@flip-vs-panning-vs-hang-interruptible.html
Comment 51 CI Bug Log 2019-02-25 08:46:18 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_227/fi-icl-u2/igt@kms_flip@absolute-wf_vblank-interruptible.html
Comment 52 CI Bug Log 2019-02-25 09:07:57 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_227/fi-icl-u3/igt@kms_flip@2x-flip-vs-fences.html
Comment 53 CI Bug Log 2019-02-26 13:26:16 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_230/fi-icl-y/igt@kms_cursor_legacy@cursor-vs-flip-atomic.html
Comment 54 CI Bug Log 2019-02-27 12:53:54 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_231/fi-icl-u3/igt@kms_vblank@pipe-a-ts-continuation-idle-hang.html
Comment 55 CI Bug Log 2019-02-28 13:58:19 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_232/fi-icl-y/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
Comment 56 Francesco Balestrieri 2019-03-01 07:53:04 UTC
Discussed this with Mika. Some of the failures in the past indicated possible memory corruption (address pattern of 00000001000000b4 -  in other words, bit 32 is always on). Lately, the incompletes seemed to be about ICL failing to go idle, without oops with the 'bit32' pattern, which is not a serious issue. But, we should keep monitoring this to see if the faulty memory occurs again. Until that happens, this should not be highest priority.
Comment 57 Lakshmi 2019-03-01 08:52:39 UTC
(In reply to Francesco Balestrieri from comment #56)
> Discussed this with Mika. Some of the failures in the past indicated
> possible memory corruption (address pattern of 00000001000000b4 -  in other
> words, bit 32 is always on). Lately, the incompletes seemed to be about ICL
> failing to go idle, without oops with the 'bit32' pattern, which is not a
> serious issue. But, we should keep monitoring this to see if the faulty
> memory occurs again. Until that happens, this should not be highest priority.

Thanks for inputs here, priority of this bug is set to High.
Comment 58 CI Bug Log 2019-03-01 10:22:51 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4862/fi-icl-u3/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-180.html
Comment 59 CI Bug Log 2019-03-01 10:33:41 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4862/fi-icl-u3/igt@kms_flip@flip-vs-modeset-vs-hang.html
Comment 60 CI Bug Log 2019-03-01 11:15:40 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4866/fi-icl-y/igt@i915_module_load@reload.html
Comment 61 CI Bug Log 2019-03-02 10:45:49 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_233/fi-icl-y/igt@kms_flip@plain-flip-fb-recreate.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_233/fi-icl-y/igt@i915_hangman@error-state-capture-blt.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4867/fi-icl-y/igt@kms_frontbuffer_tracking@basic.html
Comment 62 CI Bug Log 2019-03-04 07:26:58 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5691/fi-icl-y/igt@i915_selftest@live_objects.html
Comment 63 CI Bug Log 2019-03-04 08:21:56 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_234/fi-icl-u3/igt@kms_cursor_legacy@cursorb-vs-flipb-toggle.html
Comment 65 CI Bug Log 2019-03-04 08:28:53 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random ones - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_235/fi-icl-u3/igt@kms_plane_alpha_blend@pipe-c-constant-alpha-max.html
Comment 66 CI Bug Log 2019-03-04 11:06:41 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random ones - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_236/fi-icl-u2/igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-draw-render.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_236/fi-icl-u3/igt@kms_rotation_crc@primary-y-tiled-reflect-x-180.html
Comment 67 CI Bug Log 2019-03-04 11:07:19 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_236/fi-icl-y/igt@kms_flip@flip-vs-fences-interruptible.html
Comment 68 CI Bug Log 2019-03-05 09:47:28 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang -}
{+ ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4869/fi-icl-u3/igt@kms_flip@2x-flip-vs-fences-interruptible.html
Comment 69 Lakshmi 2019-03-05 16:52:19 UTC
Priority of this bug is set to highest based on the impact (quiet many tests are failing in one round of execution).
Comment 70 Francesco Balestrieri 2019-03-08 12:08:08 UTC
I don't question the priority, but what this issue really is saying is that there are a lot of incompletes on ICL for what look like different reasons. So it's not just a single bug to fix.
Comment 72 CI Bug Log 2019-03-13 07:34:07 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang -}
{+ ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_237/fi-icl-u2/igt@kms_rotation_crc@bad-tiling.html
Comment 73 CI Bug Log 2019-03-13 08:22:26 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang -}
{+ ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_241/fi-icl-u2/igt@kms_flip@flip-vs-fences.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4880/fi-icl-u2/igt@kms_flip@flip-vs-fences.html
Comment 74 CI Bug Log 2019-03-13 09:58:40 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang -}
{+ ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_242/fi-icl-u2/igt@kms_cursor_crc@cursor-128x128-offscreen.html
Comment 75 CI Bug Log 2019-03-13 14:30:06 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete - timeout/system hang -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4880/fi-icl-u2/igt@gem_ppgtt@blt-vs-render-ctxn.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4880/fi-icl-u2/igt@kms_vblank@pipe-c-accuracy-idle.html
Comment 76 CI Bug Log 2019-03-13 14:56:53 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

 No new failures caught with the new filter
Comment 77 CI Bug Log 2019-03-13 15:00:46 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

 No new failures caught with the new filter
Comment 78 CI Bug Log 2019-03-13 16:17:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

 No new failures caught with the new filter
Comment 79 CI Bug Log 2019-03-13 16:21:16 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

 No new failures caught with the new filter
Comment 80 CI Bug Log 2019-03-13 16:21:37 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

 No new failures caught with the new filter
Comment 81 CI Bug Log 2019-03-13 16:41:45 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

 No new failures caught with the new filter
Comment 82 CI Bug Log 2019-03-13 16:48:25 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

 No new failures caught with the new filter
Comment 83 CI Bug Log 2019-03-15 11:36:59 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5751/fi-icl-y/igt@i915_selftest@live_sanitycheck.html
Comment 84 CI Bug Log 2019-03-15 14:39:34 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5753/shard-iclb4/igt@gem_partial_pwrite_pread@writes-after-reads-snoop.html
Comment 85 CI Bug Log 2019-03-18 13:52:35 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-icl-y/igt@kms_cursor_legacy@pipe-c-forked-move.html
Comment 86 CI Bug Log 2019-03-19 07:48:55 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

 No new failures caught with the new filter
Comment 87 CI Bug Log 2019-03-19 07:51:11 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

 No new failures caught with the new filter
Comment 88 CI Bug Log 2019-03-19 10:45:43 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-icl-u2/igt@kms_chv_cursor_fail@pipe-c-128x128-top-edge.html
Comment 89 CI Bug Log 2019-03-19 10:47:23 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-icl-u3/igt@kms_chv_cursor_fail@pipe-a-256x256-right-edge.html
Comment 90 CI Bug Log 2019-03-19 10:48:21 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-icl-u3/igt@kms_flip@2x-plain-flip-ts-check.html
Comment 91 CI Bug Log 2019-03-19 10:49:10 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-icl-u3/igt@kms_flip@bo-too-big.html
Comment 92 CI Bug Log 2019-03-19 10:59:34 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-icl-y/igt@kms_psr@dpms.html
Comment 93 CI Bug Log 2019-03-19 11:09:48 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-icl-u3/igt@kms_cursor_crc@cursor-256x256-random.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-icl-u3/igt@kms_vblank@pipe-b-wait-forked-busy.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-icl-u3/igt@kms_cursor_crc@cursor-128x128-dpms.html
Comment 94 CI Bug Log 2019-03-20 12:06:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5774/shard-iclb3/igt@kms_busy@extended-pageflip-hang-oldfb-render-e.html
Comment 95 Lakshmi 2019-03-22 08:13:03 UTC
This bug is split in to 5 bugs based on the repeated test failures.
Bug 110040 [CI]:igt@kms_rotation_crc@* - incomplete	
Bug 110036 [CI]:ICL: igt@kms_plane@pixel-format-pipe[abc]-planes* - incomplete
Bug 110041 [CI]:igt@kms_plane_scaling@pipe-[ac]-scaler-* - incomplete
Bug 110042 [CI]:igt@kms_plane@plane-panning-* - incomplete
Bug 110043 [CI]:igt@kms_available_modes_crc@available_mode_test_crc - incomplete

Separate bug is created If a test is failed 7 times or more(>=2.5%) in the last 30 days.
Comment 96 CI Bug Log 2019-03-22 11:50:48 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5786/shard-iclb5/igt@kms_flip@flip-vs-modeset-interruptible.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4897/shard-iclb2/igt@gem_wait@await-bsd2.html
Comment 97 CI Bug Log 2019-03-25 09:51:52 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5791/shard-iclb8/igt@kms_atomic_transition@1x-modeset-transitions.html
Comment 98 CI Bug Log 2019-03-25 12:27:42 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4902/shard-iclb8/igt@kms_atomic_transition@plane-all-transition-fencing.html
Comment 99 CI Bug Log 2019-03-28 14:24:31 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5816/shard-iclb1/igt@kms_cursor_crc@cursor-256x256-offscreen.html
Comment 100 CI Bug Log 2019-03-28 14:49:09 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5823/shard-iclb2/igt@kms_color@pipe-c-ctm-negative.html
Comment 101 Lakshmi 2019-03-29 14:03:12 UTC
(In reply to Lakshmi from comment #95)
> This bug is split in to 5 bugs based on the repeated test failures.
> Bug 110040 [CI]:igt@kms_rotation_crc@* - incomplete	
> Bug 110036 [CI]:ICL: igt@kms_plane@pixel-format-pipe[abc]-planes* -
> incomplete
> Bug 110041 [CI]:igt@kms_plane_scaling@pipe-[ac]-scaler-* - incomplete
> Bug 110042 [CI]:igt@kms_plane@plane-panning-* - incomplete
> Bug 110043 [CI]:igt@kms_available_modes_crc@available_mode_test_crc -
> incomplete
> 
> Separate bug is created If a test is failed 7 times or more(>=2.5%) in the
> last 30 days.

@Clint any updates on this bug?

Since this bug is split in to many bugs based on the repeated failures of a subtest, currently this bug is for incompletes which occurs rarely.

Priority of this bug is dropped to high.
Comment 102 CI Bug Log 2019-04-01 10:25:53 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4915/shard-iclb6/igt@prime_busy@wait-before-vebox.html
Comment 103 CI Bug Log 2019-04-02 07:43:50 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5852/shard-iclb5/igt@kms_flip@2x-flip-vs-dpms-interruptible.html
Comment 104 CI Bug Log 2019-04-03 13:48:28 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5862/fi-icl-u3/igt@gem_basic@bad-close.html
Comment 105 CI Bug Log 2019-04-04 14:31:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4925/shard-iclb5/igt@kms_plane_alpha_blend@pipe-b-coverage-vs-premult-vs-constant.html
Comment 106 CI Bug Log 2019-04-08 09:48:57 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5879/shard-iclb1/igt@kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-pwrite.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5884/shard-iclb8/igt@gem_exec_reloc@basic-cpu-wc-active.html
Comment 107 CI Bug Log 2019-04-08 09:50:03 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4925/fi-icl-y/igt@gem_ctx_exec@basic.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5775_112/fi-icl-u3/igt@gem_ctx_exec@basic.html
Comment 108 CI Bug Log 2019-04-09 10:00:05 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_248/fi-icl-u2/igt@kms_atomic@test_only.html
Comment 109 CI Bug Log 2019-04-09 10:10:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_248/fi-icl-u2/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-plflip-blt.html
Comment 110 CI Bug Log 2019-04-10 12:24:29 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

 No new failures caught with the new filter
Comment 111 CI Bug Log 2019-04-10 13:52:14 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5893/shard-iclb5/igt@kms_psr@psr2_suspend.html
Comment 112 CI Bug Log 2019-04-10 15:00:20 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4934/shard-iclb2/igt@kms_cursor_edge_walk@pipe-a-64x64-right-edge.html
Comment 113 CI Bug Log 2019-04-10 15:27:03 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

 No new failures caught with the new filter
Comment 114 CI Bug Log 2019-04-10 15:30:43 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

 No new failures caught with the new filter
Comment 115 CI Bug Log 2019-04-10 15:35:54 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:


* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_249/fi-icl-y/igt@kms_cursor_legacy@cursora-vs-flipa-atomic-transitions.html
Comment 116 CI Bug Log 2019-04-10 16:18:08 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:


* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_251/fi-icl-y/igt@perf_pmu@enable-race-bcs0.html
Comment 117 CI Bug Log 2019-04-10 16:24:22 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:


* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_251/fi-icl-y/igt@kms_flip@flip-vs-expired-vblank-interruptible.html
Comment 118 CI Bug Log 2019-04-11 07:53:27 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5901/fi-icl-u2/igt@gem_exec_create@basic.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5901/shard-iclb8/igt@kms_psr@primary_mmap_cpu.html
Comment 119 CI Bug Log 2019-04-15 07:40:25 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5908/shard-iclb1/igt@prime_busy@wait-hang-vebox.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4944/shard-iclb7/igt@gem_pwrite@big-cpu-random.html
Comment 120 CI Bug Log 2019-04-16 06:01:48 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-icl-u2/igt@kms_chamelium@hdmi-crc-single.html
Comment 121 CI Bug Log 2019-04-16 06:14:39 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_252/fi-icl-y/igt@kms_busy@extended-modeset-hang-newfb-render-b.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_254/fi-icl-y/igt@kms_cursor_crc@cursor-256x85-random.html
Comment 122 CI Bug Log 2019-04-16 11:14:22 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4949/shard-iclb1/igt@gem_exec_reloc@basic-write-read.html
Comment 123 CI Bug Log 2019-04-17 11:22:03 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: suspend/hibernate tests + random tests - incomplete +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5938/shard-iclb1/igt@kms_cursor_crc@cursor-128x42-sliding.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5940/fi-icl-u2/igt@gem_exec_basic@readonly-bsd.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5940/fi-icl-y/igt@gem_close_race@basic-process.html
Comment 124 CI Bug Log 2019-04-17 14:03:22 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: suspend/hibernate tests + random tests - incomplete -}
{+ ICL: all tests - incomplete +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_256/fi-icl-u3/igt@kms_flip@2x-flip-vs-suspend.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_256/fi-icl-y/igt@gem_exec_params@invalid-flag.html
Comment 125 Martin Peres 2019-04-17 14:05:07 UTC
(In reply to CI Bug Log from comment #124)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- ICL: suspend/hibernate tests + random tests - incomplete -}
> {+ ICL: all tests - incomplete +}

We have too much noise coming in CI because of random ICL incompletes. Let's stop this madness and just have this bug as a trash for all ICL incompletes.

Let's look at it periodically to catch new regressions in ICL and create new bugs when we can see that something is happening not randomly.
Comment 126 Martin Peres 2019-04-17 14:05:43 UTC
*** Bug 109100 has been marked as a duplicate of this bug. ***
Comment 127 Lakshmi 2019-04-25 11:23:16 UTC
*** Bug 110428 has been marked as a duplicate of this bug. ***
Comment 129 CI Bug Log 2019-05-02 06:10:59 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}


  No new failures caught with the new filter
Comment 130 CI Bug Log 2019-05-06 10:08:54 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-y: random tests - incomplete -}
{+ fi-icl-y: random tests - incomplete +}


  No new failures caught with the new filter


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.